diff -ru tuxpaint-0.9.20.orig/Makefile tuxpaint-0.9.20/Makefile
--- tuxpaint-0.9.20.orig/Makefile	2008-12-21 15:04:36.000000000 +0100
+++ tuxpaint-0.9.20/Makefile	2008-12-21 15:42:24.000000000 +0100
@@ -137,9 +137,12 @@
 # Icons and launchers:
 ICON_PREFIX:=$(DESTDIR)$(PREFIX)/share/pixmaps
 X11_ICON_PREFIX:=$(DESTDIR)$(PREFIX)/X11R6/include/X11/pixmaps
-GNOME_PREFIX:=$(shell gnome-config --prefix 2> /dev/null)
-KDE_PREFIX:=$(shell kde-config --install apps --expandvars 2> /dev/null)
-KDE_ICON_PREFIX:=$(shell kde-config --install icon --expandvars 2> /dev/null)
+GNOME_PREFIX:=
+KDE_PREFIX:=
+KDE_ICON_PREFIX:=
+DESKTOP_ICON_PREFIX:=$(PREFIX)/share/icons
+
+ENABLE_GETTEXT:=0
 
 # Maemo flag
 MAEMOFLAG:=
@@ -200,7 +203,7 @@
 
 #-ffast-math
 OPTFLAGS:=-O2
-CFLAGS:=$(CPPFLAGS) $(OPTFLAGS) -W -Wall -fno-common -ffloat-store \
+CFLAGS:=$(CPPFLAGS) -W -Wall -fno-common -ffloat-store \
 	$(call comptest,-fvisibility=hidden,) \
 	-Wcast-align -Wredundant-decls \
 	-Wbad-function-cast -Wwrite-strings \
@@ -232,7 +235,10 @@
 # "make" with no arguments builds the program and man page from sources:
 #
 .PHONY: all
-all:	tuxpaint translations magic-plugins tp-magic-config
+all:	tuxpaint magic-plugins tp-magic-config
+	@if [ -n "$(ENABLE_GETTEXT)" ] && [ $(ENABLE_GETTEXT) -eq 1 ]; then \
+		make translations; \
+	fi
 	@echo
 	@echo "--------------------------------------------------------------"
 	@echo
@@ -390,7 +396,7 @@
 windows_ARCH_INSTALL:=
 osx_ARCH_INSTALL:=
 beos_ARCH_INSTALL:=
-linux_ARCH_INSTALL:=install-gnome install-kde install-kde-icons
+linux_ARCH_INSTALL:=install-desktop-data
 ARCH_INSTALL:=$($(OS)_ARCH_INSTALL)
 
 # "make install" installs all of the various parts
@@ -400,10 +406,13 @@
 install:	install-bin install-data install-man install-doc \
 		install-magic-plugins \
 		install-magic-plugin-dev \
-		install-icon install-gettext install-im install-importscript \
+		install-icon install-im install-importscript \
 		install-default-config install-example-stamps \
 		install-example-starters \
 		$(ARCH_INSTALL)
+	@if [ -n "$(ENABLE_GETTEXT)" ] && [ $(ENABLE_GETTEXT) -eq 1 ]; then \
+		make install-gettext ; \
+	fi
 	@echo
 	@echo "--------------------------------------------------------------"
 	@echo
@@ -581,17 +590,50 @@
 
 # Install a launcher icon in the Gnome menu
 .PHONY: install-gnome
-install-gnome:
+install-desktop-data:
 	@echo
-	@echo "...Installing launcher icon into GNOME..."
-	@if [ "x$(GNOME_PREFIX)" != "x" ]; then \
-	 install -d $(DESTDIR)$(GNOME_PREFIX)/share/pixmaps; \
-	 cp data/images/icon.png $(DESTDIR)/$(GNOME_PREFIX)/share/pixmaps/tuxpaint.png; \
-	 chmod 644 $(DESTDIR)$(GNOME_PREFIX)/share/pixmaps/tuxpaint.png; \
-	 install -d $(DESTDIR)$(GNOME_PREFIX)/share/applications; \
-	 cp src/tuxpaint.desktop $(DESTDIR)$(GNOME_PREFIX)/share/applications/; \
-	 chmod 644 $(DESTDIR)$(GNOME_PREFIX)/share/applications/tuxpaint.desktop; \
-	fi
+	@echo "...Installing launcher entry..."
+	@if [ "x$(PREFIX)" != "x" ]; then \
+		install -d $(PKG_ROOT)$(PREFIX)/share/applications; \
+		cp src/tuxpaint.desktop $(PKG_ROOT)$(PREFIX)/share/applications/; \
+		chmod 644 $(PKG_ROOT)$(PREFIX)/share/applications/tuxpaint.desktop; \
+		install -d $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/scalable/apps/; \
+		install -d $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/192x192/apps/; \
+		install -d $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/128x128/apps/; \
+		install -d $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/96x96/apps/; \
+		install -d $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/64x64/apps/; \
+		install -d $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/48x48/apps/; \
+		install -d $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/32x32/apps/; \
+		install -d $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/22x22/apps/; \
+		install -d $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/16x16/apps/; \
+		cp data/images/tuxpaint-icon.svg \
+		       $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/scalable/apps/tuxpaint.svg; \
+		chmod 644 $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/scalable/apps/tuxpaint.svg; \
+		cp data/images/icon192x192.png \
+		       $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/192x192/apps/tuxpaint.png; \
+		chmod 644 $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/192x192/apps/tuxpaint.png; \
+		cp data/images/icon128x128.png \
+		       $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/128x128/apps/tuxpaint.png; \
+		chmod 644 $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/128x128/apps/tuxpaint.png; \
+		cp data/images/icon96x96.png \
+		       $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/96x96/apps/tuxpaint.png; \
+		chmod 644 $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/96x96/apps/tuxpaint.png; \
+		cp data/images/icon64x64.png \
+		       $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/64x64/apps/tuxpaint.png; \
+		chmod 644 $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/64x64/apps/tuxpaint.png; \
+		cp data/images/icon48x48.png \
+		       $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/48x48/apps/tuxpaint.png; \
+		chmod 644 $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/48x48/apps/tuxpaint.png; \
+		cp data/images/icon32x32.png \
+		       $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/32x32/apps/tuxpaint.png; \
+		chmod 644 $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/32x32/apps/tuxpaint.png; \
+		cp data/images/icon22x22.png \
+		       $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/22x22/apps/tuxpaint.png; \
+		chmod 644 $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/22x22/apps/tuxpaint.png; \
+		cp data/images/icon16x16.png \
+		       $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/16x16/apps/tuxpaint.png; \
+		chmod 644 $(PKG_ROOT)$(DESKTOP_ICON_PREFIX)/hicolor/16x16/apps/tuxpaint.png; \
+        fi
 
 
 # Install a launcher icon for the Nokia 770.
@@ -684,9 +726,6 @@
 	@install -d $(ICON_PREFIX)
 	@cp data/images/icon.png $(ICON_PREFIX)/tuxpaint.png
 	@chmod 644 $(ICON_PREFIX)/tuxpaint.png
-	@install -d $(X11_ICON_PREFIX)
-	@cp data/images/icon32x32.xpm $(X11_ICON_PREFIX)/tuxpaint.xpm
-	@chmod 644 $(X11_ICON_PREFIX)/tuxpaint.xpm
 
 
 # Install the program:
Only in tuxpaint-0.9.20: Makefile.bak
